# sb::Text::md5
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Text::md5;
use strict;
use Digest::MD5 ();
use sb::Text::Base ();
use base qw( sb::Text::Base );
use vars qw( $VERSION );
$VERSION = '0.01';
# 0.01 [2009/03/10] inherited sb::Text::Base
# 0.00 [2006/03/03] generated
# --------------------------------------
# // defines / static variables
# ... nothing ...
# --------------------------------------
# // public functions - class methdos
sub md5
{
	my $class  = shift;
	my $text   = shift;
	my $option = shift;
	my $md5 = Digest::MD5->new();
	$md5->add($text);
	return $md5->hexdigest;
}
1;
__END__
